ZARAFA-RESTORE(1)

NAME
zarafa-restore - The Zarafa Restore tool

SYNOPSIS

zarafa-restore [OPTION...] [RECORDKEY...]

DESCRIPTION

The zarafa-restore tool restores data from a backup that was created by the zarafa-backup tool. You can search in the index file for the items or folders you wish to restore.

Remember the record key, and save it in a file, one per line. The record key for containers can be found in the 7th field, for messages in the 5th field. The numbers can also be passed as command parameters. Please refer to thezarafa-backup(1) manual to view the index file layout.

OPTIONS

The options used to restore are as follows:

--user, -u username
    Restore to this Zarafa user. If the --from is not passed, this will also be used as the backup set name to restore from. In a single-company environment this option is mandatory when not restoring from the public store. For restoring a multi-company public store, --user must be used in combination with the name of the company.

--from, -f username
    Restore from this backup set. This overrides the default backup set name if you want to restore from another name than to restore to.

--public, -p
    Restore to the public store. This option is only for non multi-company Zarafa servers. If you've enabled the enable_hosted_zarafa option in your server, you can restore public data by using the --user switch with the name of the company which you wish to restore.

--restorefile, -i filename
    Use this file as input for the record keys. Each recordkey should be on it's own line. Use '-' as filename when the record keys are to be read from stdin.

--recurse, -r
    When you restore a folder, the folder with it's contents will be restored. If you add this option, also the subfolders of the given folder are restored.

--host, -h path
    Connect to the Zarafa server through path, e.g. file:///path/to/socket. Default: file:///var/run/zarafa.

--config, -c file
    Use a configuration file. See the CONFIG() section for more information.

--verbose, -v
    Print more about which folder is being restored.

--not-before, -b day-month-year
    When an item was created before this date, it will not be restored. The date is passed in the specified format, with the '-' signs aswell.

EXAMPLES

Some helper and example scripts can be found in /usr/local/share/examples/zarafa/zarafa-backup-helpers. The full-restore.sh script allows you to easely restore the complete backup to a store. The readable-index.pl script will create a more readable version of an index file, and print it to the screen.

Restore one message from user jane to user john:

 zarafa-restore -u john -f jane 10203040

Restore Inbox and all subfolders from user jane:

 zarafa-restore -u jane -r `grep ^C jane.index.zbk | grep Inbox | cut -d: -f7`

CONFIG

Normally, no configuration file is used or required. The following options can be set in the configuation file:

server_socket
    Unix socket to find the connection to the Zarafa server. Default: file:///var/run/zarafa

sslkey_file
    Use this file as key to logon to the server. This is only used when server_socket is set to an HTTPS transport. See the zarafa-server(1) manual page on how to setup SSL keys. Default: value not set.

sslkey_pass
    The password of the SSL key file that is set in sslkey_file. Default: value not set.

AUTHOR

Written by Zarafa.

SEE ALSO

 zarafa-backup(1)